Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTPackExpandable

All Known Subinterfaces:
  `ICPPASTCapture`, `ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier`, `ICPPASTConstructorChainInitializer`, `ICPPASTInitCapture`, `ICPPASTInitializerList`, `ICPPASTTypeId`

public interface ICPPASTPackExpandable
Interface for nodes that can potentially be pack-expansions.

Since:
  5.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPackExpansion()`
Returns whether this base specifier is a pack expansion.
`void`
`setIsPackExpansion(boolean val)`
Sets whether this base specifier is a pack expansion.

## Method Details

### isPackExpansion

boolean isPackExpansion()
Returns whether this base specifier is a pack expansion.

Since:
  5.2

### setIsPackExpansion

void setIsPackExpansion(boolean val)
Sets whether this base specifier is a pack expansion. Not allowed on frozen AST.

Since:
  5.2